|
From: Bob T. <bt...@us...> - 2001-08-12 23:43:08
|
Update of /cvsroot/benson/benson3
In directory usw-pr-cvs1:/tmp/cvs-serv4178
Modified Files:
AUTHORS aclocal.m4 configure configure.in
Log Message:
Modified the configure environment and added some checks
Index: AUTHORS
===================================================================
RCS file: /cvsroot/benson/benson3/AUTHORS,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -C2 -r1.1.1.1 -r1.2
*** AUTHORS 2001/08/12 21:20:16 1.1.1.1
--- AUTHORS 2001/08/12 23:43:04 1.2
***************
*** 0 ****
--- 1 ----
+ Bob Tribit <bt...@tr...>
Index: aclocal.m4
===================================================================
RCS file: /cvsroot/benson/benson3/aclocal.m4,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -r1.2 -r1.3
*** aclocal.m4 2001/08/12 22:45:31 1.2
--- aclocal.m4 2001/08/12 23:43:04 1.3
***************
*** 1,3 ****
! dnl ./aclocal.m4 generated automatically by aclocal 1.4
dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
--- 1,3 ----
! dnl aclocal.m4 generated automatically by aclocal 1.4
dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
Index: configure
===================================================================
RCS file: /cvsroot/benson/benson3/configure,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -C2 -r1.1.1.1 -r1.2
*** configure 2001/08/12 21:20:34 1.1.1.1
--- configure 2001/08/12 23:43:04 1.2
***************
*** 800,803 ****
--- 800,805 ----
--enable-fast-install=PKGS optimize for fast installation default=yes
--disable-libtool-lock avoid locking (might break parallel builds)
+ --enable-debug Compile using -g
+ --enable-profiling Compile using -pg
Optional Packages:
***************
*** 807,810 ****
--- 809,813 ----
[...5545 lines suppressed...]
{ (exit 1); exit 1; }; }
--- 8864,8868 ----
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
! test -f "$f" || { { echo "$as_me:8866: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
***************
*** 8602,8606 ****
else
# /dev/null tree
! { { echo "$as_me:8604: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
--- 8877,8881 ----
else
# /dev/null tree
! { { echo "$as_me:8879: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
Index: configure.in
===================================================================
RCS file: /cvsroot/benson/benson3/configure.in,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -C2 -r1.1.1.1 -r1.2
*** configure.in 2001/08/12 21:19:43 1.1.1.1
--- configure.in 2001/08/12 23:43:04 1.2
***************
*** 33,36 ****
--- 33,44 ----
AC_PREREQ(2.9)
+ AC_ARG_WITH(ssl, [ --with-ssl=dir Find SSL libraries for SSL/TLS support below dir],ssl_dir=$withval, with_ssl=no)
+ AC_ARG_ENABLE(debug, [ --enable-debug Compile using -g], use_debug=$enableval,use_debug=no)
+ AC_ARG_ENABLE(profile, [ --enable-profiling Compile using -pg], use_profile=$enableval, use_profile=no)
+
+ AC_CHECK_HEADERS(openssl/ssl.h)
+ AC_CHECK_HEADERS(sys/shm.h)
+ AC_CHECK_HEADERS(sys/stat.h)
+ AC_CHECK_HEADERS(errno.h)
AC_CHECK_LIB(compat, open)
AC_CHECK_LIB(socket, open)
***************
*** 39,42 ****
--- 47,51 ----
AC_CHECK_LIB(ld, open)
AC_CHECK_LIB(w, open)
+ AC_CHECK_LIB(ssl, open)
AC_PATH_PROG(sedpath, sed)
AC_PATH_PROG(trpath, tr)
|